Skip to content
Amplify APIReference

Update Multiple Campaigns

PUT/campaigns
  • You can update as much as 25 multiple campaigns at once

  • some campaign properties require using the Extra Field notion

Notes regarding the request:

The request should be an array of objects that includes:

  • id - the campaign's id you want to update

  • the properties you want to update, same as for a single campaign

Notes regarding the response:

Since some campaigns update may succeed and some may fail, the response is constructed as follows:

  • operationStatus - OperationStatus

  • id - the campaign's id

  • campaign - The recent updated campaign (if the response is successful)

OB-TOKEN-V1<token>

Token obtained from the Obtain a token endpoint or the Amplify API token page. Valid for 30 days.

In: header

Query Parameters

extraFields?string

the additional campaign fields you want to include in the response

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

[index: integer]?

Response Body

application/json

curl -X PUT "https://example.com/campaigns?extraFields=CustomAudience%2CLocations%2CInterestsTargeting%2CBidBySections%2CBlockedSites%2CPlatformTargeting%2CCampaignOptimization%2CScheduling%2CIABCategories%2CCampaignPixels" \  -H "Content-Type: application/json" \  -d '[    {      "id": "00f863c5674af5c5f63415500f699a04e5",      "name": "new campaign name"    },    {      "id": "00edb86a9edd703c67af97b31466188e56",      "cpc": 0.5    }  ]'
[  {    "operationStatus": {      "status": "Success"    },    "id": "00f863c5674af5c5f63415500f699a04e5",    "campaign": {      "name": "new campaign name",      "enabled": true,      "creationTime": "2014-12-22 07:46:22",      "lastModified": "2014-12-22 07:46:22",      "cpc": 0.05,      "autoArchived": false,      "minimumCpc": 0.02,      "currency": "GBP",      "targeting": {        "platform": [          "DESKTOP",          "MOBILE"        ]      },      "marketerId": "00e28bea9eba98e0c8a14958e2196793af",      "contentType": "ARTICLES",      "budget": {        "id": "004177467f7724bacae68b46524e3c6c3b",        "name": "new campaign",        "shared": false,        "amount": 100,        "currency": "GBP",        "amountRemaining": 100,        "amountSpent": 0,        "creationTime": "2014-12-22 07:46:22",        "lastModified": "2014-12-22 07:46:22",        "startDate": "2014-06-26",        "endDate": "2016-07-26",        "runForever": false,        "type": "CAMPAIGN",        "pacing": "SPEND_ASAP"      },      "suffixTrackingCode": "utm_source=outb&utm_medium=cpc&utm_campaign=abc",      "liveStatus": {        "amountSpent": 0,        "campaignOnAir": false,        "onAirReason": "CAMPAIGN_FLY_DATES_PAST"      },      "objective": "Awareness"    }  },  {    "operationStatus": {      "status": "Failure",      "reason": [        "The provided cpc is below the campaign's cpc limit 0.6"      ]    },    "id": "00edb86a9edd703c67af97b31466188e56"  }]